/* NEW STYLE SHEET - 10/23/2020 : All updated CSS styles go here as much as possible. */
@import url('https://fonts.googleapis.com/css2?family=Cabin&family=Fira+Sans&family=Merriweather+Sans:wght@400;500&display=swap');

/* Global style */
body {
    /*font-family: Arial, Helvetica, sans-serif;*/
    /*font-family: 'Fira Sans', sans-serif !important;*/
    /*font-family: 'Cabin', sans-serif !important;*/
    font-family: 'Merriweather Sans', sans-serif !important;
    background-color: #F4F6F9;
    overflow: scroll !important;
    font-size: .8rem;
}

.nojs {
    color: black;
    Background: aqua;
}

/* Table/Grid Font Face */
table td {
    font-family: 'Merriweather Sans', sans-serif !important;
}

.page-loaded {
    background-color: #F4F6F9;
    overflow-x: hidden !important;
    overflow-y: auto !important;
}

/* ############ Main Login Page ############ */
.wrapper {
    background-color: #FFF;
    width: 98vw !important;
    margin: 0 auto;
}

.wrapper header {
    border-bottom: 1px solid #D3D3D3 !important;
    margin-bottom: 1rem !important;
}

.wrapper header .navbar {
    border-bottom: none !important;
}

.main-content {
    padding: 0 1rem;
}

#overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000;
}

#LoginBackground {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
}

.login-block-outer {
    background-size: cover;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0 auto;
}

.login-block {
    background-color: #FFF;
    width: 420px;
    height: auto;
    padding: 3rem;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    z-index: 1;
}

.login-background>img {
    display: none;
}

.login-block .loginForm .loginInput {
    background-color: #FAFAFB !important;
    width: 100% !important;
}

.custom-control .checkbox .rememberMe {
    font-size: .9rem;
}

.login-block .btn {
    margin: 0 auto;
    width: 100%;
    background-color: #385877 !important;
}

.login-block .copyright {
    color: #aaaaaa;
    font-size: .7rem;
    text-align: center;
    padding: 2rem 1rem 0 1rem;
    display: block;
}

/* Common footer for all pages */
footer {
    border-top: 1px solid #aeaeae;
    padding-top: 1rem;
    margin-top: 2.6rem;
}

footer .copyright {
    text-align: center;
    background-color: #FFF;
    padding: 2rem;
    margin: 0 auto !important;
}

/* ############ Media Queries for Main Login Page ############ */
@media(max-width: 767px) {
    .wrapper {
        background-color: #FFF;
        width: 100%;
        margin: 0 auto;
    }
}

@media(max-width:767px) {
    .login-background {
        display: none;
    }

    .login-block {
        float: none !important;
        width: auto;
        padding: 30px;
    }

    .login-block .logo {
        margin-bottom: 45px;
    }
}

/* ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| */

/* ############ Global Inner Pages' Masthead and Nav Menu ############ */
.header-container {
    padding-top: 35px;
    padding-bottom: 30px;
    padding-left: 15px !important;
    padding-right: 15px !important;
    position: relative;
}

.header-row {
    padding: 0 31px;
}

.logoAndModulesDiv {
    display: flex;
    justify-content: space-between;
    margin: 0 31px;
}

.logoTopWrapper {
    text-align: center;
    max-width: 185px;
    flex: 1;
}

.modulesDiv {
    flex: 2;
}

.logoDiv {
    text-align: left;
    display: flex;
}

.logoDiv img {
    width: auto !important;
    height: auto !important;
    max-width: 200px;
    max-height: 65px;
}


.navbar-brand img {
    width: 100% !important;
    height: auto !important;
    min-height: 100%;
}

.logoTopWrapper .logoDiv a {
    display: flex;
    align-items: center;
    height: 58px;
    max-width: 200px;
}

.helloUser h6 {
    position: absolute;
    right: 30px;
    top: 10px;
    font-size: .7rem !important;
    color: #800080;
    font-weight: normal;
    display: inline !important;
    line-height: 1;
}


@media(max-width: 767px) {
    .logoTopWrapper {
        padding-bottom: 20px;
        padding-right: 0;
    }

    .customerDiv {
        width: 100%;
    }

    .helloUser h6 {
        position: absolute;
        right: 10px;
        top: 10px;
    }

    .logoTopWrapper .logoDiv a {
        min-height: 80px;
        max-height: 84px;
    }

    .header-container {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

    .logoTopWrapper {
        display: block;
        position: initial;
        left: 0;
        top: 0;
    }

    .logoDiv {
        justify-content: center;
    }
}

@media (max-width: 575px) {
    .header-row {
        padding: 0;
    }

    .wrapper {
        width: 100vw;
    }

    .logoTopWrapper,
    .logoDiv {
        justify-content: center;
    }
}

.navbar-brand img {
    display: none;
    /*Hiding double logo */
}

.customerDiv {
    margin: 0 auto !important;
    padding: 0;
    width: 70%;
}

.customerDiv .k-input,
.customerDiv .k-select {
    background-color: #CCE1E9 !important;
}

.customerDiv .k-input:hover,
.customerDiv .k-select:hover {
    background-color: #DFF2F6 !important;
}

/* Customer drop down sub menu */
.k-animation-container .k-list-container .k-list-scroller .k-list .k-item {
    background-color: #FFF !important;
    padding: 2px 3px 4px 4px;
    color: #800080 !important;
    border: 4px solid #dedede;
    border-bottom: none;
}

/* Selected Customer option tab in Customer sub menu */
.k-animation-container .k-list-container .k-list-optionlabel {
    background-color: #FFF !important;
    padding: 2px 3px 4px 4px;
    color: #2A8395 !important;
    border: 4px solid #dedede;
    border-bottom: none;
}

/* Top menu links wrapper */
#megaStore {
    margin: auto auto;
    display: flex;
    justify-content: center;
}

#megaStore1 {
    padding: 1rem !important;
    padding-top: 12px !important;
    margin: 0 auto !important;
    width: 100%;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

#megaStore1 #megaStore ul {
    border: none;
    background-color: transparent;
    justify-content: center;
}

/*.wrapper header .navbar {
  padding: 0 !important;
  border-top: 1px solid #EEEEEE;
  background-color: #FFF !important;
  width: 100vw;
}*/

.k-menu {
    background-color: #fff;
    border: none;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.k-menu .k-item>.k-link {
    border: 1px solid #dedede;
    text-align: center;
    background-color: #F4F6F9;
    /*margin: 4px 2px 0 0;*/
    /*padding: 4px 10px;*/
    padding: 4px 20px;
    border-radius: 4px;
    font-size: .8rem;
}

/* Main menu first and last items */
.k-menu .k-last .k-link:last-child {
    background-color: #F7C7C4 !important;
    border: 1px solid coral;
    /*margin-left: .5rem;*/
}

.k-menu .k-first .k-link:last-child {
    background-color: #F4F6F9 !important;
    border: 1px solid #dedede !important;
    /*margin-right: .5rem;*/
}

/* Main menu DD first and last items reset */
.k-menu .k-item .k-last .k-link:last-child,
.k-menu .k-item .k-first .k-link:last-child {
    background-color: #F4F6F9 !important;
    border: 1px solid #dedede !important;
    margin-left: 0 !important;
}

/* Menu Link Separator */
.k-menu .k-item,
.k-menu .k-header {
    border-color: transparent !important;
}

.k-menu .k-item,
.k-menu k-grouping-header a {
    color: #000 !important;
}

/* Sub menu nested inside the drop down menu */
.k-widget.k-menu-horizontal>.k-item .k-popup .k-state-default {
    background-color: #FFF !important;
    padding: 2px 3px 4px 4px;
    color: #2A8395 !important;
}

.k-widget.k-menu-horizontal>.k-item .k-popup .k-state-default:nth-child(2n) {
    background-color: #FFF !important;
    padding: 2px 3px 4px 4px;
    color: #15606F !important;
}

/* Super Entity Name that only displays for Normal User */
#superEntityDiv p {
    text-align: center;
    font-size: .9rem;
    color: #800080 !important;
    margin-bottom: 0;
    padding-bottom: 0;
}

#superEntityName {
    font-weight: bold;
}

#environmentDiv {
    font-size: 35px;
    font-weight: bold;
    margin-bottom: 1%;
    margin-top: 1.5%;
}

#announcementDiv {
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 1%;
    margin-top: 1.5%;
    line-height: 1.5;
}

/*.menuAndContentDividerHr {
  max-width: 90%;
  background-color: #F2F2F2;
  height: 2px;
}*/

/* ####################################### */
/* Global Buttons that use primary styles */
.btn-primary {
    padding: 2px 10px !important;
    font-size: .8rem !important;
    margin-top: .5rem;
}

.btn-primary:hover {
    color: #FFF !important;
}

/* Global Buttons that use danger styles */
.btn-danger {
    padding: 2px 10px !important;
    font-size: .8rem !important;
    margin-top: .5rem;
}

.btn-danger:hover {
    color: #FFF !important;
}

/* Global Buttons that use outline-info styles */
.btn-outline-info {
    padding: 2px 10px !important;
    font-size: .8rem !important;
    margin-top: .5rem;
}

.btn-outline-info:hover {
    color: #FFF !important;
}


/* ############ Global Accordion block ############ */
.accordion-block .card-header {
    background-color: #ACCCD9 !important;
    padding: 0 !important;
    color: #000 !important;
}

.accordion-block .card-header a {
    padding: 7px 10px;
    color: #000;
}

/* Account Reminder Page Buttons */
.accordion-block .lnkButton {
    width: auto !important;
    min-width: 100% !important;
    /*background-color: #FFF !important;*/
    background-color: #F4F6F9 !important;
    font-weight: normal !important;
    font-family: Arial, Helvetica, sans-serif !important;
    color: #333 !important;
    border: 1px solid #aaa !important;
    margin-top: .5rem;
    padding: .2rem 1rem !important;
}

.accordion-block .lnkButton:hover {
    background-color: #E0EFFE !important;
    border-color: #A1ACB6 !important;
    color: #000 !important;
}

.accordion-block .col-md-auto {
    margin-bottom: 0 !important;
}

.accordion-block .font-weight-bold {
    font-size: .8rem !important;
    margin-bottom: 0;
}

@media(max-width: 768px) {
    .accordion-block .lnkButton {
        margin-top: 0;
    }
}

/* Account Setting Page */
.accountSettingsWrapper {
    margin: 0 auto;
    padding: 1rem 2rem !important;
}

/* Reminder Question and Answer */
.requiredFields:after {
    content: "*";
    font-weight: bold;
    color: red;
}

#lblAnswer:after {
    content: "*";
    font-weight: bold;
    color: red;
}

#frmAccountSetting {
    padding: 1rem !important;
    margin: 0 auto;
    border: 1px solid #DBDADD !important;
    width: 800px !important;
    background-color: #FAFAFA !important;
}

#frmAccountSetting .col-md-8 {
    margin: 0 auto;
    margin-bottom: 1rem;
    padding: 0;
}

.accountSettingFormHeader {
    margin-bottom: 1rem;
}

.accountSettingFormHeader p {
    margin: 0 auto;
    text-align: center;
    padding: 0;
    font-size: .9rem !important;
}

.accountSettingFormHeader h4 {
    font-weight: bold;
    font-size: 1.2rem;
    text-align: center;
}

#frmAccountSetting .form-group label {
    font-size: .9rem;
    text-align: left !important;
    margin: 0;
    margin-right: .5rem !important;
}

#frmAccountSetting .row .col-md-8 .form-group {
    margin: 0 auto !important;
    text-align: center !important;
    width: 100% !important;
}

#frmAccountSetting .row .col-md-8 .form-group .form-control {
    text-align: left !important;
    margin: 0 auto !important;
    width: 300px !important;
}

#frmAccountSetting .accountSettingPasswordRules h4 {
    font-weight: bold;
    font-size: 1.2rem;
    text-align: center;
}

#frmAccountSetting .accountSettingPasswordRules p {
    margin: 0 auto;
    text-align: center;
    padding: .5rem 2rem !important;
    font-size: .8rem !important;
}

#frmAccountSetting .accountSettingSubmitBtn {
    padding: 2px 10px;
    font-size: .8rem;
    text-align: center !important;
    margin: 0 auto;
    margin-top: 1rem;
}

#frmAccountSetting #ddl_Reminder_Question_List {
    font-size: .8rem;
}

#frmAccountSetting .form-control {
    font-size: .9rem;
    width: 80%;
}

/* Media query for Account Setting page */
@media(max-width: 800px) {
    #frmAccountSetting {
        width: 100% !important;
        padding-left: 1rem !important;
    }

    #frmAccountSetting .col-md-8 {
        margin-left: 1rem !important;
    }

    #frmAccountSetting label {
        margin-left: 1rem !important;
    }
}

/* ############ Global Kendo Toolbar ############*/
.k-toolbar {
    background-color: #F8F9FD;
    border: 0;
    height: auto;
    padding: 0;
    margin: 0;
}

/* ############ Global Kendo Grid Header ############*/
.k-grid-header th.k-header {
    vertical-align: middle;
    padding-left: 10px !important;
    cursor: default;
    font-size: .8rem;
    padding: 3px 10px;
    height: auto;
    border: 0;
}

.k-grid-header .k-grid-header-wrap table thead tr .k-with-icon {
    padding: .2rem .5rem !important;
    height: 30px !important;
}

.alphabetUpperCase {
    text-transform: uppercase;
}

.alphabetLowerCase {
    text-transform: lowercase;
}

th.k-header {
    vertical-align: middle !important;
}

th.k-header .k-with-icon {
    padding: .2rem .5rem !important;
    height: 30px !important;
}

/* Global Grid Header and Cell Size*/
#divGrid #Grid .k-grid-header th.k-header {
    width: 150px !important;
}

#divGrid #Grid .k-grid-content table tr td {
    width: 150px !important;
}

/* ############ Global Tables ############*/
table>tbody>tr:nth-child(2n) {
    background-color: #E9EFF2;
}

/* ############ Global Panel - entity block etc ############*/
.panel-heading {
    background-color: #385877 !important;
    padding: 7px 10px 0px 10px !important;
    color: #FFF !important;
    border-bottom: 5px solid #dedede !important;
    padding-bottom: .3rem !important;
}

.panel-primary {
    background-color: #FFF !important;
    border: 1px solid #999 !important;
}

.panel-heading .lastModifiedDateTime {
    font-size: .7rem !important;
    color: #FDDCCE !important;
    padding: 5px 20px 0 0;
}

.panel-heading label:nth-child(1) {
    font-weight: bold;
    color: #FFF !important;
    font-size: 1rem !important;
    padding-top: 0;
}

#panelbar {
    border-radius: 0.5rem 0.5rem 0 0;
    overflow: hidden;
}

.panel-body {
    height: auto !important;
}

.panel-body label {
    font-size: .9rem !important;
}

.panel-body .form-control {
    font-size: .9rem !important;
}

/* Grid table */
.grid-table table a {
    color: #666;
    padding: 2px;
    font-size: .8rem;
}

/* Grid table checkbox */
.chkActiveChild {
    margin-left: 10%;
}

.k-i-more-vertical:before {
    padding-right: 0;
}

/*Add/Export buttons above Action dropdown*/
#example .col-md-9 {
    width: 100% !important;
    float: left !important;
    clear: right !important;
    display: block !important;
}

#example .col-md-9 .inner {
    margin-bottom: .2rem;
}


/* Left floated menu above Action DD */
#example .col-md-3 {
    padding-left: 0 !important;
    margin-left: 0 !important;
    min-width: 300px !important;
    max-width: 900px !important;
}

#example .col-md-3 #toolbar {
    float: none !important;
    padding-left: 0 !important;
    margin-left: 0 !important;
}

#example .col-md-3 #toolbar span {
    padding-left: 0 !important;
}

/* Controlling Member Block, Attachment Widget Block Heading */
#example .row .col h2 {
    font-size: 1rem;
}

/* action drop down button */
.actionMenu {
    padding: 0 !important;
    margin-right: 0;
}

.actionMenu #btnActionDropdown .k-item span {
    background-color: #EFF4F5;
    padding: 5px 20px 5px 10px;
    font-size: 1.1rem;
    color: #385877 !important;
}

.actionMenu #btnActionDropdown .k-item span:last-child {
    font-size: .9rem;
    color: #000 !important;
}

/* Controls the hard-coded form-field's bolder texts */
.form-group .font-weight-bold {
    font-weight: normal !important;
    color: #000 !important;
}

.card-body label {
    font-size: 1rem !important;
}

.card-body .form-control {
    font-size: .9rem;
}

/* Controls Module Page Config Module Name Title */
#grid .k-grid-header th.k-header {
    background-color: #E3ECF0 !important
}

/* Controls Page Config Title */
.alert-secondary {
    padding: 4px 10px !important;
    margin: 0 auto !important;
    width: 98%;
    margin-bottom: .5rem !important;
    background-color: #ACCCD9 !important;
    height: auto !important;
}

.alert-secondary h5 {
    font-size: 1rem !important;
}

.alert-secondary h3 {
    font-size: 1rem !important;
}

/* Super Admin > ModulePage Config */
.k-grid-content table tbody .k-master-row .k-hierarchy-cell {
    width: 10px !important;
    max-width: 10px !important;
    padding: 0;
    margin: 0;
}

.k-grid-content table tbody .k-detail-row .k-hierarchy-cell:nth-of-type(1) {
    width: 10px !important;
    max-width: 10px !important;
    padding: 0;
    margin: 0;
}

.dvRightsContainer #grid .k-grid-content {
    height: auto !important;
    min-height: 700px !important;
}

#grid #pageGrid .k-grid-header th.k-header {
    background-color: #CCE1E9 !important;
}

/* Super Admin > User Security Page Config */
.dataTables_scrollBody {
    min-height: 500px !important;
}

#divConfiguration {
    background-color: #CCE1E9 !important;
}

.dataTables_scrollBody tr td {
    padding: 0 .3rem !important;
}

/* Configuration Delete Button */
.dataTables_scrollBody .sorting_1 .btn-danger {
    padding: 0;
}

.dataTables_scrollBody .sorting_1 img {
    vertical-align: middle;
}

/* The Filter background (Group > add a filter) */
.k-grid-filter {
    background-color: transparent !important;
    height: auto !important;
}

/* User security Page Config Profile Name and DD */
.profileName label {
    font-size: .8rem;
}

.drpProfileName {
    color: #333 !important;
    font-size: .8rem !important;
}

.drpProfileName option {
    color: #333 !important;
    font-size: .8rem !important;
}

/* System Page Config> Add > Alert Popup */
#alert-formpage {
    width: 350px;
}

/* Add/Edit Form Block  */
.dvWidget-Container {
    padding: 0 1rem;
}

.dvWidget-Container label {
    font-size: .9rem;
}

#frmAddEditBlocks {
    padding: 0 1rem;
}

#frmAddEditBlocks label {
    font-size: .9rem;
}

/* Some Table Headers controlled from here - Dynamic Widget/attachment widget header tab, etc */
#GvDynamicWidget table thead tr th {
    padding: .3rem .5rem !important;
}

#gvBlocks table thead tr th {
    padding: .3rem .5rem !important;
}

.grid-table table thead tr th {
    padding: .3rem .5rem !important;
    font-weight: normal !important;
}

/* Radio-input below valuation widget  */
.form-check .form-check-label {
    font-size: .8rem !important;
    color: #000 !important;
}

/* ################# MODAL and POPUP WINDOWS #################### */
.modal .modal-dialog .modal-content .modal-header .modal-title {
    color: #134555 !important;
    font-size: 1.2rem;
}

.modal .modal-body .k-header .k-link {
    font-weight: normal !important;
}

.modal .modal-body label {
    font-size: .9rem !important;
    margin-bottom: 0;
}

.modal .modal-footer .btn {
    background-color: #2A8395 !important;
}

.modal #searchGrid .k-grid .k-grid-header th .k-link {
    padding: .5rem 0 !important;
}

/* Popup Window */
.k-window {
    min-width: 500px !important;
    min-height: auto !important;
    border: 1px solid #2A8395 !important;
}

.k-window.removeMinHeight {
    min-height: unset !important;
}

.k-window .k-window-titlebar {
    padding-top: 0;
    background-color: #2A8395 !important;
}

.k-window .k-window-titlebar .k-window-title {
    margin-top: -16px;
    padding: 0;
    padding-top: .4rem !important;
    font-size: 1rem;
    color: #FFF !important;
}

.k-window-titlebar .k-icon:before {
    color: #FFF !important;
}

.k-window label {
    font-size: .9rem;
}

.k-window .btn {
    background-color: #2A8395 !important;
}

/* Popup window warning */
#divDeleteRecordsModal #divDeleteRecord {
    margin-top: 1rem;
    font-size: 1rem;
}

#divDeleteRecordsModal #divDeleteRecord span {
    font-size: .9rem !important;
}

.modal-content #WidgetPartialContent h4 {
    font-size: .9rem;
}

/* Location Transfer Pop Up Window */
#LocationTransferWindow .form-control {
    font-size: .8rem;
}

.modal-content #WidgetPartialContent .modal-header::before {
    /*content: "Status Result";*/
    font-size: 1.2rem;
    font-weight: bold;
    color: #2A8395;
}

#ApproveRecordsModal_wnd_title {
    color: #FFF !important;
}

#ApproveRecordsModal #divApproveRecord .col-md-6 {
    width: 800px !important;
}

#txtStatusComment0 {
    width: 420px !important;
}

#ApproveRecordsModal #divApproveRecord .col-md-6:first-of-type {
    max-width: 9rem !important;
    font-weight: bold;
    padding: 0 !important;
}

#ApproveRecordsModal #divApproveRecord .col-md-6 form-group:first-of-type {
    width: 4rem !important;
    padding: 0 !important;
}

#divApproveRecord .row {
    margin-top: 1.5rem;
}

/*Reject Modal */
#RejectRecordsModal_wnd_title {
    color: #FFF !important;
}

#RejectRecordsModal #divRejectRecord .col-md-6 {
    width: 800px !important;
}

#RejectRecordsModal #divRejectRecord .col-md-6:first-of-type {
    max-width: 5rem !important;
    font-weight: bold;
    padding: 0 !important;
}

#RejectRecordsModal #divRejectRecord .col-md-6 form-group:first-of-type {
    width: 4rem !important;
    padding: 0 !important;
}

#RejectRecordsModal .row {
    margin-top: 1.5rem;
}

/* Audit Trail Modal */
#AuditTrailModal .model-audit {
    width: 900px !important;
}

#AuditTrailModal .modal-content {
    width: 900px;
}

#AuditTrailModal .modal-content #AuditTrailContent {
    width: 900px;
}

#btnExportAuditData {
    background-color: #2A8395 !important;
}

#AuditTrailModal .modal-content #AuditTrailContent .close {
    padding-top: .6rem;
}

#gvAuditTrail tr td {
    padding: 0 .3rem !important;
    font-size: .8rem;
}

#gvAuditTrail .k-grid-norecords-template {
    color: red;
}

/* Valuation Widget > View Valuation Modal */
#WidgetPartialModal .modal-lg {
    position: absolute !important;
    /*left: 50px;*/
    max-width: 90vw;
}

#WidgetPartialModal.show {
    display: flex !important;
    justify-content: center !important;
}

#WidgetPartialModal .modal-lg #WidgetPartialContent {
    background-color: #FFF !important;
    max-width: 1024px;
    height: auto;
    padding: 1rem;
}

#WidgetPartialModal .modal-lg #WidgetPartialContent .form-group {
    min-width: 33%;
}

#WidgetPartialModal .modal-lg #WidgetPartialContent .btn-primary {
    background-color: #2A8395 !important;
}

#frmAddEditValuation .generate-form-col-md-3-1 label {
    vertical-align: middle !important;
}

#frmAddEditValuation .generate-form-col-md-3-1 input {
    vertical-align: middle !important;
}

@media(max-width: 1024px) {
    #WidgetPartialModal .modal-lg #WidgetPartialContent .form-group {
        min-width: 50%;
    }
}


@media(max-width: 768px) {
    #WidgetPartialModal .modal-lg #WidgetPartialContent {
        width: auto;
    }
}

/* Attachment email modal pop up */
#mailModal {
    width: 600px;
    left: 30%;
}

#mailModal #mailContent {
    padding: 2rem;
    border: 1px solid #dedede;
}

/* ################# User Access Request Page #################### */
.userAccessRequestWrapper {
    background-color: #FFF;
    padding: 1rem;
    height: auto;
    margin: 0 auto;
    text-align: center;
}

.userAccessRequestlogoDiv {
    margin: 1rem auto !important;
    text-align: center !important;
}

.userAccessRequestlogoDiv img {
    width: 128px !important;
    height: 47px !important;
}

#btnResetNewUserRequestForm {
    margin-top: .5rem !important;
}

.userAccessRequestCardBody #btnBackToLogin {
    margin-top: .5rem !important;
}

/* ################# Forgot Password Page #################### */
.forgotPwContainer {
    height: auto;
    padding: 2rem;
    width: 550px;
    max-width: 100%;
    border: 1px solid #999;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .3);
    background-color: #FAFAFB;
    margin-top: 4rem;
}

.forgotPwContainer img {
    width: 128px !important;
    height: 47px !important;
}

.forgotPwContainer h1 {
    color: coral;
    font-size: 1rem;
    margin-bottom: 2rem !important;
}

.forgotPwEmailLabel {
    font-size: .9rem !important;
}

.forgotPwInputField {
    width: 300px;
}

.forgotPwContainer .forgotPwButtonWrapper {
    min-width: 400px !important;
}

.forgotPwContainer .btn-primary {
    margin-right: .5rem !important;
}

.dvRights-Container .col-md-6 label {
    font-size: .9rem !important;
    text-align: left !important;
    /*margin-left: 1rem;*/
    margin-bottom: 0;
}

/* Building > Delete Pop up modal */
#ddlBuilding {
    font-size: .8rem !important;
}

#divDeleteRecordsModal_wnd_title {
    color: #FFF !important;
}

/* Super Admin > Rights > Add Rights > grid */
.dvRights-Container .k-grid-header th.k-header>.k-link {
    padding: .7rem .3rem;
    font-size: .9rem;
}

/* Super Admin > Group  */
#frmAddEditGroup {
    padding: 0 1rem;
}

#frmAddEditGroup label {
    padding: 0;
}

/* Nested Grid Inside Widget */
#example {
    margin: 0 auto !important;
}

#example .grid-table {
    margin: 0 auto !important;
    margin-left: 0 !important;
}

/* ------------- */
.bs-example .jumbotron {
    padding: .5rem 1rem 2rem 1rem !important;
    max-height: 40px !important;
}

/* No Records Box message text */
.k-grid-norecords,
.k-grid-norecords-template {
    color: red;
}

#changeRequestGrid .k-grid-norecords,
#changeRequestGrid .k-grid-norecords-template {
    color: red;
    display: block;
    text-align: center;
    height: 65px;
}
/* Super Admin > Blocks > Add Blocks > Form Field */
#frmAddEditBlocks .form-control {
    font-size: .9rem !important;
}

/* ################# Reset Password Page #################### */
.resetPwContainer {
    height: auto;
    padding: 2rem;
    width: 550px;
    max-width: 100%;
    border: 1px solid #999;
    box-shadow: 4px 4px 4px rgba(0, 0, 0, .3);
    background-color: #FAFAFB;
}

.resetPwContainer .resetPwButtonWrapper {
    min-width: 300px !important;
}

.resetPwContainer img {
    width: 128px !important;
    height: 47px !important;
}

.resetPwContainer h1 {
    color: coral !important;
    font-size: 1rem;
    margin-bottom: 2rem !important;
}

.resetPwEmailLabel {
    font-size: .9rem !important;
}

.resetPwPasswordLabel,
.resetPwConfirmLabel {
    font-size: .9rem !important;
}

.resetPwCodeInputField,
resetPwEmailInputField {
    width: 300px;
}

.resetPwPasswordInput,
.resetPwConfirmInput {
    width: 300px;
}

.resetPwContainer .btn-primary {
    margin-right: .5rem !important;
}

.resetPwPasswordRules h4 {
    font-weight: bold;
    font-size: 1.2rem !important;
    text-align: center;
    padding-bottom: .5rem;
}

.resetPwPasswordRules p {
    margin: 0 auto;
    text-align: center;
    padding: 0;
    font-size: .8rem !important;
}

/* No items to display pager info */
.k-pager-wrap .k-pager-info {
    color: red !important;
}

/* Building: Pending Status message */
.lblPendingStatusMessage {
    font-size: 2rem;
}

/* Valuation: Pending Status message */
.lblPendingValuationStatusMessage {
    font-size: 2rem;
}

/* Global Form fields */
form .form-group .form-control,
.form-control {
    border: 1px solid #999 !important;
}

/* Controls Group > Detail Eye Icon:After Text */
.k-filterable .k-link {
    color: #fff !important;
}

/* Adhoc Report Page and Grid */
#divAdhocGrid .k-grid-header .k-grid-header-wrap table thead tr .k-with-icon {
    width: 150px !important;
}

#divAdhocGrid .grid-table table>tbody>tr>td {
    width: 150px !important;
}

#divAdhocGrid .k-grouping-header {
    padding-left: .5rem;
}

#txtAdhocReportName label {
    font-size: .9rem !important;
    margin: 0 !important;
}

.adhocWrapper {
    padding-bottom: 1rem;
}

.adhocWrapper label {
    font-size: .9rem !important;
    margin-right: .5rem !important;
    margin-bottom: 0 !important;
}

.adhocWrapper .panelHeading {
    margin-bottom: .3rem !important;
}

#txtAdhocReportName {
    display: inline-block !important;
}

#ddlTableColumns option,
#ddlSelectedFields option,
#ddlTableColumnsForExport option,
#ddlSelectedFieldsForExport option,
#ddlValuationEstimatorColumn option,
#ddlValuationEstimatorSelectedColumn option,
#all-columns li,
#selected-columns li {
    font-size: .8rem !important;
    padding: .3rem;
}

#ddlTableColumns option:nth-child(2n+1),
#ddlSelectedFields option:nth-child(2n+1),
#ddlTableColumnsForExport option:nth-child(2n+1),
#ddlSelectedFieldsForExport option:nth-child(2n+1),
#ddlValuationEstimatorColumn option:nth-child(2n+1),
#ddlValuationEstimatorSelectedColumn option:nth-child(2n+1),
#all-columns li:nth-child(2n+1),
#selected-columns li:nth-child(2n+1) {
    background-color: #E9EFF2 !important;
}

#selected-columns li.frozen-column {
    background-color: lightgray !important;
    pointer-events: none;
}

#ddlTableColumns,
#ddlSelectedFields,
.moveButtonsWrapper,
.saveCancelBtnWrapper,
#ddlTableColumnsForExport,
#ddlSelectedFieldsForExport,
#ddlValuationEstimatorColumn,
#ddlValuationEstimatorSelectedColumn,
#all-columns,
#selected-columns {
    margin-bottom: 1rem;
}

#all-columns,
#selected-columns {
    overflow: auto;
}

#all-columns li,
#selected-columns li {
    color: black;
}

#all-columns li.selected,
#selected-columns li.selected {
    color: white;
    background-color: #246db7 !important;
}

.ui-state-highlight {
    height: 2.5em;
    background-color: #ffe0b2;
    border: 1px dashed #fb8c00;
}

.drag-hidden {
    opacity: 0;
    height: 0;
    margin: 0;
    padding: 0;
    border: 0;
    overflow: hidden;
    pointer-events: none;
    visibility: hidden;
}


#ddlSelectOutPutFieldsForSavedVariance option,
#ddlSelectedFieldsForSavedVariance option {
    font-size: .8rem !important;
    padding: .3rem;
}

#ddlSelectOutPutFieldsForSavedVariance option:nth-child(2n+1),
#ddlSelectedFieldsForSavedVariance option:nth-child(2n+1) {
    background-color: #E9EFF2 !important;
}

#ddlSelectOutPutFieldsForSavedVariance,
#ddlSelectedFieldsForSavedVariance,
.moveButtonsWrapper,
.saveCancelBtnWrapper {
    margin-bottom: 1rem;
}

#ddlTableColumnsStd option,
#ddlSelectedFieldsStd option,
#ddlTableColumnsABD option,
#ddlSelectedFieldsABD option {
    font-size: .8rem !important;
    padding: .3rem;
}

#ddlTableColumnsStd option:nth-child(2n+1),
#ddlSelectedFieldsStd option:nth-child(2n+1),
#ddlTableColumnsABD option:nth-child(2n+1),
#ddlSelectedFieldsABD option:nth-child(2n+1) {
    background-color: #E9EFF2 !important;
}

#ddlTableColumnsStd,
#ddlSelectedFieldsStd,
.moveButtonsWrapper,
.saveCancelBtnWrapper,
#ddlTableColumnsABD,
#ddlSelectedFieldsABD {
    margin-bottom: 1rem;
}

#btnCancelReport,
#btnSaveReport {
    margin: 0 .2rem;
    padding: 2px 10px !important;
    font-size: .8rem !important;
}

#btnShifLeftAll,
#btnShifRight,
#btnShifRightAll,
#btnShifLeft,
#btnShiftDown,
#btnShiftUp,
#btnShiftEnd,
#btnShiftTop {
    padding: 0 5px !important;
    font-size: 1.2rem !important;
}

#btnShifLeft {
    margin-top: 0 !important;
}

.moveButtonsWrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.moveButtonsWrapper label {
    margin-bottom: -20px !important;
}

/* Change Request Report Page and Grid */
.changeRequestReportWrapper .card {
    padding: 1rem;
}

.changeRequestReportWrapper .card-body {
    padding-bottom: .4rem;
}

.changeRequestReportWrapper .panelHeading {
    margin-bottom: .3rem !important;
}

.changeRequestReportWrapper .card .card-body .form-group label {
    font-size: .9rem !important;
    margin-right: .5rem !important;
    margin-bottom: 0 !important;
}

.reportEntityCol,
.reportMemberCol {
    padding-right: .1rem !important;
}

.reportButtonsWrapperCol {
    text-align: left;
}

.reportButtonsWrapperCol .btn {
    margin: 1rem .4rem 0 .4rem;
}

.actionMenuWrapper {
    text-align: right !important;
    display: block !important;
    padding-right: 6rem !important;
    margin-bottom: .4rem;
    padding-top: .4rem;
}

#changeRequestGrid .k-grid-header-wrap .k-header {
    width: 150px;
    background-color: #385877 !important;
    padding: .4rem .3rem;
}

#changeRequestGrid .k-filter-row {
    width: 150px;
}

#changeRequestGrid th .k-link {
    color: #fff !important;
}

#changeRequestGrid td {
    width: 150px;
}

/* Fixed the "Pages" not showing issue in grid-table header */
#treelist table {
    table-layout: auto;
}

/* Widget size not expanding to the edge issue solved */
.card-body {
    padding: .5rem !important;
}

/* Address Widget Grid/Table*/
.AddressWidgetGridWrapperRow {
    width: auto !important;
}

/* Valuation Widget Grid/Table*/
.valuationWidgetGridWrapperRow {
    width: auto !important;
}

#gvValuationWidgetWidget table {
    table-layout: auto;
    overflow: scroll !important;
}

#gvValuationWidgetWidget table thead tr th {
    width: auto !important;
    min-width: 125px !important;
}

#gvValuationWidgetWidget table thead tr td {
    width: auto !important;
    min-width: 125px !important;
}

#gvValuationWidgetWidget .k-pager-wrap {
    font-size: .9rem !important;
    margin-top: 1rem;
}

/* Hiding number type field's number DD arrow */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none !important;
    margin: 0 !important;
}

input[type=number] {
    -moz-appearance: textfield !important;
}

/* Pagination on the bottom overlapping issue fix */
.k-pager-wrap .k-link {
    width: 2.7em !important;
}

.k-pager-wrap .k-state-selected {
    width: 2.7em !important;
}

/* Quick Search Section */
#txtQuickSearchAsset {
    padding: 8px;
    font-size: 0.8rem;
    height: 28px;
    width: 20rem;
    border: 1px solid #aeaeae !important;
    border-radius: 4px;
}

/* Chart Section */
.overflow-chart-dashboard {
    margin: auto;
    width: 100%;
}

#EntityChart,
#LocationChart,
#MemberChart {
    width: 100% !important;
    min-width: 1000px !important;
}

.riskDistributionChartBodyWrapper {
    width: 100% !important;
}

.riskDistributionChartBody,
.numberOflocationChartBody {
    background-color: #EDF5F5 !important;
    height: auto;
    padding: 1rem !important;
    overflow: scroll !important;
}

.chartCardBody {
    height: 540px !important;
    overflow: auto !important;
    display: flex;
    flex-direction: column;
}


.k-menu .k-group {
    height: auto !important;
}

.k-list-container {
    height: auto !important;
}

.k-i-arrow-60-right:before {
    position: absolute;
    top: 5px;
}

.k-grid-content table {
    width: 100% !important;
}

.k-auto-scrollable table {
    width: 100% !important;
}

/*Change Request Review Page*/
#tblAssetData {
    border: 1px solid #BFBFBF !important;
    margin-bottom: 1rem;
}

#btnExportAssetData {
    margin-bottom: .4rem !important;
}

#tblAssetData tbody tr th {
    background-color: #385877 !important;
    color: #fff;
    padding: .4rem;
    padding-left: 1rem;
    font-size: .9rem;
}

#tblAssetData tbody tr td {
    padding: .4rem;
    padding-left: 1rem;
    font-size: .8rem;
    min-width: 250px !important;
    width: 250px !important;
    border-left: 1px solid #BFBFBF;
    word-wrap: break-word;
}

#tblAssetData tbody tr .HighlightValue {
    padding: .4rem;
    padding-left: 1rem;
    font-size: .8rem;
    min-width: 250px !important;
    width: 250px !important;
    overflow: hidden !important;
}

@media(min-width: 500px) and (max-width: 768px) {
    #tblAssetData tbody tr td {
        min-width: 500px !important;
        overflow: hidden !important;
    }
}

#tblAssetData tbody tr td:first-child {
    border-left: none !important;
    width: 500px !important;
    min-width: 100% !important;
    font-weight: bold;
}

#tblAssetData tbody tr th {
    border: 1px solid #BFBFBF !important;
}

#tblAssetData tbody tr th:first-child {
    border: 1px solid #BFBFBF !important;
    border-left: none !important;
}

.requiredRejectComment #txtStatusComment {
    border: 1px solid orange !important;
    margin-bottom: 1rem;
}

#btnApproveAssetFromComparision,
#btnRejectAssetFromComparision,
#btnCancelComparision,
#btnApproveRejectAssetFromComparision,
#btnSubmitFromComparision,
#btnEditFromComparision,
#btnSubmitChangeFromComparision,
#btnEditAssetFromComparision {
    margin-top: 0;
    border: none !important;
}

.displayPageCssAsPerPopUp {
    max-width: 60%;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
}

.RowNote {
    font-family: inherit;
    color: #7d5100 !important;
    font-size: 12px !important;
    border: 1px solid goldenrod !important;
    padding: 7px !important;
    background-color: #f1cd0f !important;
    font-weight: bold !important;
}

.liExpressionTable {
    padding: 5px !important;
    text-align: left !important;
    font-size: 14px !important;
    border-top: 1px solid lightgray;
}

.AnchorTagExpressionTable {
    color: #5C5654;
}

.select2-container .select2-selection--single {
    height: 35px;
    padding: 3px 12px 6px 6px;
    font-size: 14px;
}

.select2-container .select2-selection--single:focus {
    border-color: rgb(104 161 239 / 80%);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgb(104 181 239 / 60%);
}

.select2-container .select2-selection--single .select2-selection__arrow {
    height: 35px;
}

.outlineborderred {
    border: 1px solid red !important;
}

.note {
    font-family: inherit;
    color: #7d5100 !important;
    font-size: 12px !important;
    border: 1px solid goldenrod !important;
    padding: 7px !important;
    background-color: #f1cd0f !important;
    font-weight: bold !important;
}

/* ############ Highlight ############ */

.selectedRowYellow {
    background-color: yellow !important;
}

.selectedRowBlue {
    background-color: blue !important;
}

.selectedRowGreen {
    background-color: green !important;
}

.selectedRowOrange {
    background-color: orange !important;
}

.selectedRowRed {
    background-color: red !important;
}

.selectedRowYellow a,
.selectedRowBlue a,
.selectedRowGreen a,
.selectedRowOrange a,
.selectedRowRed a {
    color: black !important;
}

/* ############ Popup Filter ############ */

#SearchPopupContainer {
    overflow: auto;
    height: 12rem;
    z-index: 9999 !important;
    background-color: white;
    border: 1px solid #385887;
    border-radius: 0.5rem;
    display: none;
}

#SearchPopupContainer>ul>li {
    cursor: pointer;
    padding: 5px !important;
    border-top: 1px solid lightgray;
    font-size: .8rem !important;
}

#SearchPopupContainer>ul>li :hover {
    color: #385887;
    font-weight: 600;
}

.matchedLetters {
    color: #385887;
    font-weight: 600;
}

/* ############ Aggregate ############ */

.k-grid .k-grid-content tbody tr.k-grid-aggregate:hover {
    background-color: #F7C7AC !important;
}

.k-grid .k-grid-content tbody tr.k-grid-aggregate {
    font-size: 0.8rem;
}

/* ############ select2 ############ */
.select2-dropdown {
    font-size: .9rem !important;
    font-weight: normal;
    z-index: 999999 !important;
}

/* Multi Select Dropdown */
.k-multiselect.form-control.select-multiple {
    height: unset;
}

.k-multiselect-wrap {
    padding: 0 !important;
}

.k-multiselect-wrap ul {
    max-height: 200px;
    overflow-y: auto;
    padding-right: 3em;
}

.k-multiselect-wrap>.k-i-close {
    right: calc(2em - 7px);
}

/* ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ The above codes are passed ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^*/

/* ################# Forgot Password Confirmation Page #################### */
.forgotPwConfirmationContainer {
    margin-top: 4rem;
}


/* ################# Reset Password Confirmation Page #################### */
.resetPwConfirmationContainer {
    margin-top: 4rem;
}


/* ############################ TESTING AREA ############################## */
/* background-color: yellow!important; */
.was-validated .form-control:invalid,
.was-validated .form-control:valid,
.form-control.is-invalid {
    background-image: none !important;
}

span.k-datepicker {
    display: block !important;
}


.reportIncludePolicyRecordsCol {
    display: inline-flex;
    align-items: center;
}

.search-asset-button {
    width: auto !important;
    min-width: 100% !important;
    background-color: #385877 !important;
    border-color: #385877 !important;
    font-weight: normal !important;
    font-family: Arial, Helvetica, sans-serif !important;
    color: white !important;
    border: 1px solid #aeaeae !important;
    margin-top: .5rem;
    padding: 4px 0 !important;
}

.quick-search-submenu {
    padding: 0 !important;
}

.quick-search-submenu .k-link,
.quick-search-submenu .k-menu-link {
    padding: 5px !important;
}

#txtQuickSearchAssetFromMenu {
    padding: 8px;
    font-size: 0.8rem;
    height: 28px;
    width: 20rem;
    border: 1px solid #aeaeae !important;
    border-radius: 4px;
}

.pull-right {
    float: right
}

.cursor-pointer {
    cursor: pointer !important;
}

.a-tag-link-style {
    cursor: pointer !important;
    color: #007bff;
}

.a-tag-link-style:hover {
    color: #0056b3 !important;
    text-decoration: underline !important;
}

@media (max-width: 576px) {
    .logoAndModulesDiv {
        flex-direction: column;
    }

    .logoTopWrapper {
        max-width: 100% !important;
    }

    #megaStore1 #megaStore ul {
        flex-direction: column;
    }

    .helloUser h6 {
        line-height: 1.4;
    }
}

.k-grid-content-locked {
    height: auto !important;
}


/*Hide eye button of ms edge*/
input[type="password"]::-ms-reveal,
input[type="password"]::-ms-clear {
    display: none !important;
}

.password-eye-btn {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background: transparent;
    border: none;
    padding: 0;
    cursor: pointer;
}

.k-grid .k-grid-content,
.k-grid .k-grid-content-locked {
    max-height: 450px;
}

/* Scrollbar width */
.md-navigation-drawer::-webkit-scrollbar {
    width: 5px;
}

/* Track */
.md-navigation-drawer::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 20px;
}

/* Thumb */
.md-navigation-drawer::-webkit-scrollbar-thumb {
    background: #555;
    border-radius: 10px;
}

/* Thumb hover */
.md-navigation-drawer::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.md-navigation-drawer.collapsed .quick-search-input {
    visibility: hidden;
}

/* Select2 Multiselect Tag Customization */
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    display: inline-flex !important;
    flex-direction: row-reverse !important;
    align-items: center !important;
    padding-left: 8px !important;
    padding-right: 2px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    cursor: default;
    padding: 0px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    border-right: none !important;
    margin-right: 0 !important;
    margin-left: 0px !important;
    position: relative !important;
}

.select2-container--default .select2-search--inline .select2-search__field {
    height: 0px !important;
}

.action-margin{
    margin-bottom: 30px;
}